'use strict';

const Controller = require('egg').Controller;

class HomeController extends Controller {
  async index() {
    const { ctx } = this;
    ctx.body = 'hi, egg';
  }

  async qrcode() {
    const data = await this.ctx.service.qrcode.create(this.ctx.request.body);
    this.ctx.ok({ data });
  }
}

module.exports = HomeController;
