'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/question/';
  router.get('/', controller.home.index);
  require('./router/question')(app); // 问题
  require('./router/questionnaire')(app); // 问卷
  require('./router/answer')(app); // 回答
  require('./router/investigation')(app); // 企业调查
};
